<template>
  <div>
    <el-row>
      <el-col>
        <el-tabs v-model="activeName" @tab-click="handleClick">
          <!-- 区域暂态事件统计 -->
          <el-tab-pane label="区域稳态指标合格率统计表" name="first">
            <Statisticaltable v-if="activeName == 'first'"></Statisticaltable>
          </el-tab-pane>

          <!-- 区域暂态指标分类统计表 -->
          <el-tab-pane label="稳态指标合格率明细表" name="second">
            <Partslist v-if="activeName == 'second'"></Partslist>
          </el-tab-pane>

        </el-tabs>
      </el-col>
    </el-row>
  </div>
</template>
<script>
import Statisticaltable from "./Steadystatequalification/Statisticaltable.vue";
import Partslist from "./Steadystatequalification/Partslist.vue";
export default {
  components: { Statisticaltable, Partslist },
  data() {
    return {
      vh: undefined,
      date: "",
      input: "",
      height: null,
      activeName: "first" //区分是那个节点
    };
  },
  mounted() {
    
    this.setHeight()
        window.addEventListener('resize', this.setHeight)
    },
    beforeDestroy() {
        window.removeEventListener('resize', this.setHeight)
    },
    methods: {
        setHeight() {
          this.vh = window.sessionStorage.getItem('appheight') - 131 + "px";
          
        },
    handleClick(tab, event) {
      // if (tab.label == "暂态事件分布统计") {
      //   this.echarts();
      //   this.echarts2();
      //   this.echarts4();
      //   this.iticData();
      //   this.semif();
      //   this.echarts3();
      // }
      // this.onSubmit();
    }
  }
};
</script>
<style lang="less" scoped>
@import url("../../../styles/comStyle.less");

::v-deep .el-table .cell {
  text-align: center;
}

::v-deep .el-tabs--border-card>.el-tabs__content {
  padding: 10px;
}

::v-deep .el-table.el-table--small td {
  height: 40px;
}

::v-deep .el-row {
  width: 100%;
}
</style>
